# Bet Placement

### Bet Placement Flow <a href="#bet-placement-flow" id="bet-placement-flow"></a>

{% content-ref url="/pages/2l7cTFxJAk5U4UAqv2Er" %}
[Bets API](/odds88-client-api/odds88-api-endpoints/bets-api.md)
{% endcontent-ref %}

Since a market can start as a **Starting Price (SP) market** and later become a **normal market** after a configured timepoint, bet placement should follow these rules:

* **Bet Placement Rules:**
  * Bet placement is allowed **only for single and multi bets** on Starting Price markets.
  * Starting Price bets should only be allowed when:

    `Market.ExtraParameters : { "IsSp": "true" }`
  * **Odds** are **not provided** during SP bet placement.
  * **Live events** are **not allowed** to accept bets for Starting Price markets.

Bet placement example:

<pre class="language-json"><code class="lang-json">{
  "id": "TestBet88",
  "player": {
    "deviceId": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36",
    "languageId": "en",
    "ip": "0.0.0.0",
    "segmentId": 1000
  },
  "priceChange": 1,
  "items": [
    {
      "eventId": 12345,
      "marketId": 1,
      "selectionId": 2,
      "racingSelection": null,
<strong>      "price": null
</strong>    }
  ],
  "betType": 0,
  "amount": {
    "currency": "EUR",
    "value": 10000,
    "precision": 4
  }
}

</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/starting-price-integration/bet-placement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
